using _Core;

namespace Seayoo.ComboSDK.Windows.Account
{
    public class Mediator : IMediator
    {
        public Mediator(object viewComponent = null)
        {
            ViewComponent = viewComponent;
        }

        public virtual void OnRegister()
        {

        }
        public virtual void OnRemove()
        {

        }

        public virtual object ViewComponent
        {
            get
            {
                return m_viewComponent;
            }
            set
            {
                m_viewComponent = value;
            }
        }
        protected object m_viewComponent;
    }
}